org.codehaus.plexus.component.configurator.converters.composite

## Class CollectionConverter

- java.lang.Object
- - org.codehaus.plexus.component.configurator.converters.AbstractConfigurationConverter
  - - org.codehaus.plexus.component.configurator.converters.composite.CollectionConverter

All Implemented Interfaces:
  ConfigurationConverter

    public class CollectionConverter
    extends AbstractConfigurationConverter

Version:
  $Id: CollectionConverter.java 2634 2005-10-08 06:33:08Z brett $
Author:
  Michal Maczka

### Constructor Summary

Constructors
Constructor and Description
`CollectionConverter()`

### Method Summary

Methods
`boolean` `canConvert(Class type)`
`Object` `fromConfiguration(ConverterLookup converterLookup, PlexusConfiguration configuration, Class type, Class baseType, ClassLoader classLoader, ExpressionEvaluator expressionEvaluator, ConfigurationListener listener)`
`protected Collection` `getDefaultCollection(Class collectionType)`

### Methods inherited from class org.codehaus.plexus.component.configurator.converters.AbstractConfigurationConverter

`fromConfiguration, fromExpression, fromExpression, fromXML, getClassForImplementationHint, instantiateObject, instantiateObject, loadClass, toXML`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CollectionConverter

    public CollectionConverter()

### Method Detail

#### canConvert

    public boolean canConvert(Class type)

#### fromConfiguration

    public Object fromConfiguration(ConverterLookup converterLookup,
                           PlexusConfiguration configuration,
                           Class type,
                           Class baseType,
                           ClassLoader classLoader,
                           ExpressionEvaluator expressionEvaluator,
                           ConfigurationListener listener)
                             throws ComponentConfigurationException

Parameters:
  `converterLookup` - Repository of available converters
  `type` - the type of object to read
  `baseType` - the type of object the the source is
  `classLoader` - ClassLoader which should be used for loading classes
  `expressionEvaluator` - the expression evaluator to use for expressions
Returns:
  the object
Throws:
  `ComponentConfigurationException`

#### getDefaultCollection

    protected Collection getDefaultCollection(Class collectionType)